version: '3'
services:
  app:
    build:
      context: .
      dockerfile: php-custom-apache/Dockerfile
    volumes:
      - ./source-code:/var/www
      - ./php-custom-apache/php/local.ini:/usr/local/etc/php/conf.d/local.ini
      - ./php-custom-apache/apache/sites-enabled/:/etc/apache2/sites-enabled
      - ./php-custom-apache/apache/apache2.conf:/etc/apache2/apache2.conf
    image: php-custom-apache
    container_name: app
    restart: unless-stopped
    tty: true
    environment:
      SERVICE_NAME: app
      SERVICE_TAGS: production
    working_dir: /var/www
    networks:
      - overlay
  nginx-webserver:
    image: nginx:alpine
    container_name: nginx-webserver
    restart: unless-stopped
    tty: true
    ports:
      - "980:80"
      - "9443:443"
    volumes:
      - ./source-code:/var/www
      - ./nginx/conf.d/:/etc/nginx/conf.d/
      - ./nginx/nginx.conf:/etc/nginx/nginx.conf
    networks:
      - overlay
  db-mysql:
    image: mysql:5.7.22
    container_name: db-mysql
    restart: unless-stopped
    tty: true
    environment:
      MYSQL_DATABASE: laravel
      MYSQL_ROOT_PASSWORD: your_mysql_root_password
      SERVICE_TAGS: production
      SERVICE_NAME: mysql
    volumes:
      - ./mysql/zz-mysql.cnf:/etc/mysql/mysql.conf.d/zz-mysql.cnf
      - ./mysql/var-lib-mysql/:/var/lib/mysql
    networks:
      - overlay
  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    ports:
      - "8080:80"
    environment:
      PMA_HOST: db-mysql
    networks:
      - overlay
networks:
  overlay: